// Chunk.cpp: Contains everything related to chunk.
//            Functions
//            ...              
//
//////////////////////////////////////////////////////////////////////

#include "FROG_Chunk.h"

void ReadChunk(FILE* pFile, stChunk* pChunk)
{	
	pChunk->read  = fread(&pChunk->type, 1, 2, pFile);
	pChunk->read += fread(&pChunk->size, 1, 4, pFile);
//	printf("Reader : %i (%i)\n",pChunk->type,pChunk->size);
}

void WriteChunk(FILE* pFile, stChunkToSave* pChunk)
{
//	printf("Writer : %i (%i)\n",pChunk->type,pChunk->size);

	fwrite(&pChunk->type,1,2,pFile);
	fwrite(&pChunk->size,1,4,pFile);
	
	if(pChunk->daughters.size()==0){
		unsigned int data_size = pChunk->size - 6;		
		fwrite(pChunk->data,data_size,1,pFile);
	}else{
		for(unsigned int i=0;i<pChunk->daughters.size();i++){
			WriteChunk(pFile,pChunk->daughters[i]);
		}
	}

}

