// FROG_Coord.h: interface for the FROG_Coord functions.
//////////////////////////////////////////////////////////////////////

#ifndef _FROG_COORD_H__
#define _FROG_COORD_H__

#include <math.h>

namespace FROG_COORD{

	float EtaToTheta(float Eta);
	void  PhysicalToCartesian(float P, float Eta, float Phi, float& X, float& Y  , float& Z);
	void  CartesianToPhysical(float X, float Y  , float Z  , float& P, float& Eta, float& Phi);

	float GetPt(float P, float Eta);

}

#endif


