
#ifndef _FROG_ZLIB_H__
#define _FROG_ZLIB_H__

#include <iostream>
#include <stdio.h>
#include <assert.h>
#include "../ZLIB/zlib.h"

//#ifdef linux
//#else 
//	#pragma comment (lib,"Includes/ZLIB/Lib/zdll.lib")
//#endif

#define CHUNK 16384

bool copy(const char* Input, const char* Output);

bool FROG_ZLIB_IsGZip(char* fileName);
bool FROG_ZLIB_IsUnZippedFileExist(char* source_path);

bool FROG_ZLIB_Inflate(char* source_path);
int  FROG_ZLIB_Inflate(FILE *source, FILE *dest);

int  FROG_ZLIB_Deflate(FILE *source, FILE *dest, int level);
bool FROG_ZLIB_Deflate(char* source_path);

#endif


