#ifndef _FROG_LIGHT_H__
#define _FROG_LIGHT_H__

#ifdef linux
 #include <GL/gl.h>
 #include <GL/glu.h> 
#elif macos
 #include <OpenGL/gl.h>
 #include <OpenGL/glu.h>
#else
 #include <windows.h>
 #include <gl/gl.h>
 #include <gl/glu.h>
#endif
#include <stdio.h>
#include <math.h>

namespace FROG_Light
{

	void SwitchLight_On(float X, float Y, float Z);
	void SwitchLight_Off();
	void SwitchLight_NoNormal();
	void SwitchLight_Normal();

}

#endif

