// FROG_Objects_Style.h: interface for the FROG_Objects_Style class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _FROG_OBJECTS_STYLE_H__
#define _FROG_OBJECTS_STYLE_H__

#include "FROG_ReadCards.h"

class FROG_Objects_Style{
public : 
	float color_[4];
	float thickness_;
	short marker_;
	short markerSize_;
	float PtMin_;
	float EMin_;	
	bool  ShowDet_;
	short Index_;
	short IndexD_;

public :
   FROG_Objects_Style(){
	color_[0]   = -1;
	color_[1]   = -1;
	color_[2]   = -1;
	color_[3]   =  1;
	thickness_  =  1;
	marker_     =  0;
	markerSize_ =  5;
	PtMin_      = -1;
	EMin_       = -1;
	ShowDet_    =  true;
	Index_      = -1;
	IndexD_     =  0;
   }   

   FROG_Objects_Style(FROG_Objects_Style* style){
	   if(style!=NULL){
			color_[0]   = style->color_[0];
			color_[1]   = style->color_[1];
			color_[2]   = style->color_[2];
			color_[3]   = style->color_[3];
			thickness_  = style->thickness_;
			marker_     = style->marker_;
			markerSize_ = style->markerSize_;
			PtMin_      = style->PtMin_;
			EMin_       = style->EMin_;
			ShowDet_    = style->ShowDet_;
			Index_      = style->IndexD_;  style->IndexD_++;
			IndexD_     = 0;
	   }else{
		    FROG_Objects_Style();
	   }
   }   

   void init(FROG_ReadCards* frogCard_){
   }
};


#endif

